package de.dass_it.vanhelsing.gui.items;
public class MessagesItem extends ItemType implements UserObjectItem{
        /**
		 * @uml.property  name="name"
		 */
        private String name;
        /**
		 * @uml.property  name="mailcommand"
		 */
        private String mailcommand;
        /**
		 * @uml.property  name="destination"
		 */
        private String destination;

        public MessagesItem(){}
        
        public MessagesItem(String name, String mailCommand, String destination){
        	setName(name);
        	setMailcommand(mailCommand);
        	setDestination(destination);
        }

		/**
		 * @param name
		 * @uml.property  name="name"
		 */
		public void setName(String name) {
			this.name = name;
		}

		/**
		 * @return
		 * @uml.property  name="name"
		 */
		public String getName() {
			return name;
		}

		/**
		 * @param mailcommand
		 * @uml.property  name="mailcommand"
		 */
		public void setMailcommand(String mailcommand) {
			this.mailcommand = mailcommand;
		}

		/**
		 * @return
		 * @uml.property  name="mailcommand"
		 */
		public String getMailcommand() {
			return mailcommand;
		}

		/**
		 * @param destination
		 * @uml.property  name="destination"
		 */
		public void setDestination(String destination) {
			this.destination = destination;
		}

		/**
		 * @return
		 * @uml.property  name="destination"
		 */
		public String getDestination() {
			return destination;
		}
        
        
}
